#ifndef StateLoseTheGame_h
#define StateLoseTheGame_h

#include "Arduino.h"
#include "StateHandler.h"


/**
 * Lose the game state
 *
 * Note that the animation in this state is hardcoded
 * to 6 digits.
**/
class LoseTheGameState : public AbstractStateHandler
{
  public:
    void setup();
    void loop();

  private:
    unsigned long animationTime;
    byte animationStep;
};

#endif